package kr.co.vividnext.sodalive.mypage.can.payment

import kr.co.vividnext.sodalive.mypage.can.charge.pg.VerifyRequest

class CanPaymentTempRepository(private val api: CanTempApi) {
    fun chargeCan(
        request: ChargeTempRequest,
        token: String
    ) = api.chargeCan(request, authHeader = token)

    fun verify(
        request: VerifyRequest,
        token: String
    ) = api.verifyCharge(request, authHeader = token)
}
